package  com.zcloud.modules.invoicing.service;

import com.zcloud.common.utils.PageUtils;
import  com.zcloud.modules.invoicing.entity.BusInvoicingReturnEntity;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;
import java.util.Map;

/**
 * @Author lizenan
 * @Desc 开票管理回传发票(BusInvoicingReturn)表服务接口
 * @Date 2024-04-08 08:56:15
 */
public interface BusInvoicingReturnService extends IService<BusInvoicingReturnEntity> {

    BusInvoicingReturnEntity queryByFlexibleParams(String paramName, Object paramValue);

	List<BusInvoicingReturnEntity> queryListByFlexibleParams(String paramName, Object paramValue);
    /**
     * 分页查询
     */
    PageUtils listPage(Map<String, Object> params);

    List<BusInvoicingReturnEntity> listByInvoicingId(String invoicingId);

    /**
     * 通过主键删除数据
     */
    void delete(String invoicingReturnId,String userId);

    /**
     * 通过主键获取数据
     */
    BusInvoicingReturnEntity info(String invoicingReturnId);
}
